#!/system/bin/sh
adbd=`busybox sed -e '/^enable_adbd=/!d;s/.*=//' /system/etc/auto-config.ini | busybox awk '{print $1}'`
telnetd=`busybox sed -e '/^enable_telnetd=/!d;s/.*=//' /system/etc/auto-config.ini | busybox awk '{print $1}'`

time_count=0
while [ 1 ]
do
	time_count=`expr $time_count + 0.5`
	
	if [ "$adbd" = "1" ] ; then
		proccess_adb=$( busybox ps | grep /sbin/adbd | grep -v "grep" | busybox wc -l )
		if [ $proccess_adb -lt 1 ] ; then
			setprop persist.sys.usb.config mtp,adb
			setprop persist.service.adb.enable 1
		fi
	fi
	
	if [ "$telnetd" = "1" ] ; then
		proccess_telnetd=$( busybox ps | grep telnetd | grep -v "grep" | busybox wc -l )
		if [ $proccess_telnetd -lt 1 ] ; then
			busybox telnetd -l /system/bin/sh
		fi
	fi
		
	proccess_rules=$( busybox ps | grep /system/etc/auto-rules.sh | grep -v "grep" | busybox wc -l )
    if [ $proccess_rules -lt 1 ] ; then
        /system/etc/auto-rules.sh &
    fi
	
	sleep 0.5
	
	if [ $time_count -gt 181 ] ; then
		exit 0
	fi
	
done
		